> ## Documentation Index
> Fetch the complete documentation index at: https://docs.joinluminous.com/llms.txt
> Use this file to discover all available pages before exploring further.

# All products pricing

> Retrieve comprehensive pricing information for products, including base prices, 
pricing tiers, price levels, and any company-specific pricing overrides.

This endpoint returns detailed pricing information that shows volume-based pricing tiers
across different price levels as configured in each product's pricing schedule.

This endpoint supports filtering with the same parameters as the products endpoint, 
allowing you to retrieve pricing data for specific sets of products.

For detailed information about the filtering system and available operators, 
refer to the [Filter System Documentation](/filters).

## Available Filters
### String Filters
- `name`: Product name
- `description`: Product description
- `sku`: Product SKU (searches both internal SKU and alternate SKUs)
- `upc`: Product UPC/Barcode
- `tag`: Product tags
- `q`: General search matches name OR upc OR sku
- `category.name`: Filter by category name
- `sub_category.name`: Filter by sub-category name
- `supplier.name`: Filter by supplier name

### Integer Filters
- `category.id`: Filter by category ID
- `sub_category.id`: Filter by sub-category ID
- `supplier.id`: Filter by supplier ID

### Float Filters
- `retail_price`: Product retail price
- `wholesale_price`: Product wholesale price

### Boolean Filters
- `sellable`: If the product is sellable or not
- `discontinued`: If the product is discontinued

### DateTime Filters
- `created_at`: When the product was created
- `updated_at`: When the product was last updated

## Examples
```
# Find products by SKU with pricing details
?sku[eq]=SKU-001

# Find products with specific price range
?retail_price[gte]=50.00&retail_price[lte]=100.00

# Find products by category and sub-category with pricing details
?category.name[eq]=Electronics&sub_category.name[eq]=Smartphones
```




## OpenAPI

````yaml /api-reference/build.yaml get /products/pricing
openapi: 3.0.0
info:
  title: Luminous API
  version: 1.0.0
  description: API documentation for Luminous
servers:
  - url: https://{companyName}.api.joinluminous.com/external/api/v1
    variables:
      companyName:
        default: companyName
        description: Your company-specific subdomain
security: []
tags:
  - name: Products
    description: Get and manage products
  - name: Pricing
    description: Manage price schedules, levels, and customizations
  - name: BOMs
    description: Manage Bills of Materials (BOMs)
  - name: Labels
    description: Label rendering via Labelary ZPL service
  - name: Companies
    description: Manage business accounts and their associated data
  - name: Contacts
    description: Manage contact information for individuals
  - name: Suppliers
    description: Manage suppliers (factories) — vendors used on purchase orders
  - name: Supplier SKUs
    description: Manage per-supplier SKU and unit-cost overrides for products
  - name: Locations
    description: Manage warehouses and locations
  - name: Inventory
    description: Get and adjust product stock levels
  - name: Lots
    description: Create, update, and delete product lots (batches)
  - name: Transfer Orders
    description: Manage transfer orders
  - name: Fulfillment Orders
    description: Manage fulfillment orders and picklists
  - name: Purchase Orders
    description: Get and modify purchase orders
  - name: Receiving Reports
    description: Manage receiving reports
  - name: Payment Obligations
    description: Manage payment obligations for purchase orders
  - name: Sales Orders
    description: Manage sales orders and sales order shipments
  - name: Purgatory
    description: >-
      Inspect and resolve non-posted sales orders in the purgatory staging
      workflow
  - name: PickFlow Shipping
    description: >-
      Provider-agnostic shipping rates, services, packages, and label purchase
      for PickFlow
  - name: Cycle Counts
    description: >-
      Create, drive, and post PickFlow cycle counts — batches, per-warehouse
      sessions, and CSV import/export
  - name: Print Stations
    description: List paired print stations and enqueue print jobs to them
  - name: Invoices
    description: Get and manage invoices
  - name: Work Orders
    description: >-
      Manage work orders — production lifecycle, steps, materials, links,
      shipments, and comments
  - name: Production Batches
    description: Group and manage work orders as production batches
  - name: Bills
    description: >-
      Accounts payable bill management, payments, attachments, allocations, and
      variance
  - name: Prepayments
    description: Manage vendor prepayments and applications
  - name: Vendor Credits
    description: Manage vendor credits and applications
  - name: Vendor Returns
    description: Manage vendor returns and credit generation
  - name: Customer Returns
    description: Manage customer returns (sales returns), receiving, and restock behavior
  - name: Stock Snapshot
    description: Point-in-time stock snapshots with export support
  - name: Consumption
    description: Consumption reports and exports
  - name: Inventory Aging
    description: Cost-layer-based inventory aging reports
  - name: Bills Reports
    description: Accounts payable bills aging reports
  - name: Forecast
    description: Materialized forecast data
  - name: Reports
    description: Close the books, inventory discrepancy, transaction COGS, and EDI reports
  - name: Tags
    description: Add/remove tags across various resources
  - name: Custom Fields
    description: Get and set custom fields across various resources
  - name: Currency
    description: Currency configuration, exchange rates, and conversion
  - name: Integration Mappings
    description: Manage integration mappings for external systems
  - name: Integration Field Mappings
    description: Manage field-level mappings between Luminous and external systems
paths:
  /products/pricing:
    get:
      tags:
        - Products
        - Pricing
      summary: All products pricing
      description: >
        Retrieve comprehensive pricing information for products, including base
        prices, 

        pricing tiers, price levels, and any company-specific pricing overrides.


        This endpoint returns detailed pricing information that shows
        volume-based pricing tiers

        across different price levels as configured in each product's pricing
        schedule.


        This endpoint supports filtering with the same parameters as the
        products endpoint, 

        allowing you to retrieve pricing data for specific sets of products.


        For detailed information about the filtering system and available
        operators, 

        refer to the [Filter System Documentation](/filters).


        ## Available Filters

        ### String Filters

        - `name`: Product name

        - `description`: Product description

        - `sku`: Product SKU (searches both internal SKU and alternate SKUs)

        - `upc`: Product UPC/Barcode

        - `tag`: Product tags

        - `q`: General search matches name OR upc OR sku

        - `category.name`: Filter by category name

        - `sub_category.name`: Filter by sub-category name

        - `supplier.name`: Filter by supplier name


        ### Integer Filters

        - `category.id`: Filter by category ID

        - `sub_category.id`: Filter by sub-category ID

        - `supplier.id`: Filter by supplier ID


        ### Float Filters

        - `retail_price`: Product retail price

        - `wholesale_price`: Product wholesale price


        ### Boolean Filters

        - `sellable`: If the product is sellable or not

        - `discontinued`: If the product is discontinued


        ### DateTime Filters

        - `created_at`: When the product was created

        - `updated_at`: When the product was last updated


        ## Examples

        ```

        # Find products by SKU with pricing details

        ?sku[eq]=SKU-001


        # Find products with specific price range

        ?retail_price[gte]=50.00&retail_price[lte]=100.00


        # Find products by category and sub-category with pricing details

        ?category.name[eq]=Electronics&sub_category.name[eq]=Smartphones

        ```
      operationId: getAllProductsPricing
      parameters:
        - in: query
          name: page
          schema:
            type: integer
            default: 1
          description: Page number for pagination
        - in: query
          name: per_page
          schema:
            type: integer
            default: 10
            maximum: 100
          description: Number of items per page (max 100)
        - in: query
          name: q
          schema:
            type: string
          description: Filter by name OR upc OR sku
        - in: query
          name: name
          schema:
            type: string
          description: Filter by product name
        - in: query
          name: description
          schema:
            type: string
          description: Filter by product description
        - in: query
          name: sku
          schema:
            type: string
          description: Filter by SKU (searches both internal and alternate SKUs)
        - in: query
          name: upc
          schema:
            type: string
          description: Filter by UPC/Barcode
        - in: query
          name: sellable
          schema:
            type: boolean
          description: Filter by sellable status
        - in: query
          name: discontinued
          schema:
            type: boolean
          description: Filter by whether the product is discontinued
        - in: query
          name: retail_price
          schema:
            type: number
            format: float
          description: Filter by retail price
        - in: query
          name: wholesale_price
          schema:
            type: number
            format: float
          description: Filter by wholesale price
        - in: query
          name: created_at
          schema:
            type: string
            format: date-time
          description: Filter by creation date
        - in: query
          name: updated_at
          schema:
            type: string
            format: date-time
          description: Filter by last update date
        - in: query
          name: tag
          schema:
            type: string
          description: Filter by product tags
        - in: query
          name: category.id
          schema:
            type: integer
          description: Filter by category ID
        - in: query
          name: category.name
          schema:
            type: string
          description: Filter by category name
        - in: query
          name: sub_category.id
          schema:
            type: integer
          description: Filter by sub-category ID
        - in: query
          name: sub_category.name
          schema:
            type: string
          description: Filter by sub-category name
        - in: query
          name: supplier.id
          schema:
            type: integer
          description: Filter by supplier ID
        - in: query
          name: supplier.name
          schema:
            type: string
          description: Filter by supplier name
      responses:
        '200':
          description: List of products with pricing information
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          description: Product ID
                          example: 1
                        name:
                          type: string
                          description: Product name
                          example: Basic Product
                        sku:
                          type: string
                          description: Product SKU
                          example: BASIC-001
                        is_active:
                          type: boolean
                          description: Whether the product is active
                          example: true
                        wholesale_price:
                          type: number
                          format: float
                          description: The wholesale price of the product
                          example: 100
                        retail_price:
                          type: number
                          format: float
                          description: The retail price of the product
                          example: 150
                        pricing_schedule:
                          type: object
                          description: Pricing schedule configuration for the product
                          properties:
                            id:
                              type: integer
                              description: Pricing schedule ID
                              example: 1
                            name:
                              type: string
                              description: Pricing schedule name
                              example: Standard Volume Discount
                            modification_type:
                              type: string
                              enum:
                                - PERCENTAGE
                                - FIXED
                              description: Type of price modification
                              example: PERCENTAGE
                            price_levels:
                              type: array
                              description: Different price levels available
                              items:
                                type: object
                                properties:
                                  id:
                                    type: integer
                                    description: Price level ID
                                    example: 1
                                  name:
                                    type: string
                                    description: Price level name
                                    example: Standard
                                  amount:
                                    type: number
                                    format: float
                                    description: Discount amount (percentage or fixed)
                                    example: 0
                                  tiers:
                                    type: array
                                    description: Quantity-based pricing tiers
                                    items:
                                      type: object
                                      properties:
                                        min_quantity:
                                          type: integer
                                          description: Minimum quantity for this tier
                                          example: 0
                                        price:
                                          type: number
                                          format: float
                                          description: Price at this quantity tier
                                          example: 100
                                        is_overridden:
                                          type: boolean
                                          description: >-
                                            Whether this tier price has been
                                            manually overridden to a specific value
                                            or not
                                          example: false
                        company_pricing:
                          type: array
                          nullable: true
                          description: Company-specific pricing overrides (if applicable)
                          items:
                            type: object
                            properties:
                              company:
                                type: object
                                properties:
                                  id:
                                    type: integer
                                    description: Company ID
                                    example: 1
                                  name:
                                    type: string
                                    description: Company name
                                    example: Test Business 1
                              price:
                                type: number
                                format: float
                                description: Company-specific price
                                example: 140
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        description: The current page number
                        example: 1
                      from:
                        type: integer
                        description: The starting index of the paginated results
                        example: 1
                      last_page:
                        type: integer
                        description: The last page number
                        example: 5
                      per_page:
                        type: integer
                        description: Number of items per page
                        example: 10
                      to:
                        type: integer
                        description: The ending index of the paginated results
                        example: 10
                      total:
                        type: integer
                        description: Total number of items across all pages
                        example: 50
        '401':
          description: Authentication credentials were missing or invalid
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Unauthorized
                  message:
                    type: string
                    example: Authentication credentials are missing or invalid
                  status_code:
                    type: integer
                    example: 401
        '403':
          description: You do not have permission to perform this action
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Forbidden
                  message:
                    type: string
                    example: You do not have permission to access this resource
                  status_code:
                    type: integer
                    example: 403
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authenticate using a bearer token. To create a token, navigate to
        /settings/api-tokens and click Create API Token.

````